package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.WeighingManagement;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 检斤管理 服务类
 * </p>
 *
 * @author Gdc
 * @since 2021-09-06
 */
public interface IWeighingManagementService extends IService<WeighingManagement> {

    /**
     * 检斤管理列表
     * @param weighingManagement
     * @return
     */
    Page<WeighingManagement> selectWeighingManagement(WeighingManagement weighingManagement);
    /**
     * 毛重检斤
     * @param weighingManagement
     */
    String editGrossWeight(WeighingManagement weighingManagement);
    /**
     * 皮重检斤
     * @param weighingManagement
     */
    String editTare(WeighingManagement weighingManagement);
    /**
     * 出库管理添加皮重检斤
     * @param weighingManagement
     */
    String addTare(WeighingManagement weighingManagement);
    /**
     * 出库管理编辑皮重检斤
     * @param weighingManagement
     */
    String editTareOut(WeighingManagement weighingManagement);
    /**
     * 删除检斤管理信息
     * @param id
     */
    void deleteWeightcheck(String id);
    /**
     * 查看检斤管理信息
     * @param id
     */
    WeighingManagement getWeighingManagement(String id);
    /**
     * 扫描二维码
     * @param
     * @return
     */
    WeighingManagement getQRcode(WeighingManagement weighingManagement);


}
